import de.bezier.data.sql.*;

MySQL msql;
int[] transactionsPerYear = new int[2012];
float totalNum = 0.0;

void setup() {
  size(700,480);
  PFont font1 = createFont("Helvetica", 12);
  textFont (font1);
  textAlign(CENTER);
  colorMode(HSB, 100);
  smooth();

  msql = new MySQL( this, "tango.mat.ucsb.edu", "spl_all", "mat259", "V1sual1zat1on" );
  if ( msql.connect() )
  {
    String TheQuery = "select year(ckoutDateTime) as year,count(*) from trans_2005_thru_2011 where (title like '%the catcher in the rye%' OR title like '%Holden Caulfield%')  group by year order by year;";
    println (TheQuery);
    msql.query(TheQuery);
    msql.next();
    while( msql.next() ){
    transactionsPerYear[msql.getInt(1)] = msql.getInt(2);
    }
  }
  else {
    println("connection failed !");
  }

  for (int num = 0; num < 7; num++){
    int thisYear = 2005 + num;  
    totalNum = totalNum + transactionsPerYear[thisYear];
  }
}

void draw() {
  int[] whichYear = new int[7];
  float xpos = 0.0;
    
  for (int i = 0; i < 7; i++)
    {
    noStroke();
    fill(100,i*14,i*20);
    
    int thisYear = 2005 + i;  
    rect(xpos,0,transactionsPerYear[thisYear]*(width/totalNum),height);
    
    whichYear[i] = 2005 + i;
    float x1 = xpos + 22;
    float y = 450;
       
    pushMatrix();
    translate(x1,y);
    rotate(-HALF_PI);
    fill(100,30);
    text(whichYear[i],0,0);
    popMatrix();  
    
    xpos = xpos + transactionsPerYear[thisYear]*(width/totalNum);
    stroke(100);
    line(xpos,0,xpos,height);

    float x2 = xpos - 12;
    textSize(12);
    fill(100);
    text(transactionsPerYear[thisYear],x2,height/2);
    textSize(25);
    }
}

